Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1218433007: Devtools Animations: Add buffer and effect selection to animation timeline (Closed)

Created:
4 years, 5 months ago by samli
Modified:
4 years, 2 months ago
Reviewers:
pfeldman
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-animation_chromium.org, caseq+blink_chromium.org, devtools-reviews_chromium.org, Eric Willigers, kozyatinskiy+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, rjwright, sergeyv+blink_chromium.org, shans, yurys+blink_chromium.org
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Devtools Animations: Add buffer and effect selection to animation timeline This change allows the animation timeline UI to consume the visual effect information from the backend models. It pulls these effects into a buffer and allows each effect to be selected to be displayed in the timeline below. The scrubber is also disabled for now in this change. BUG=447083 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=202665

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : Rebase #

Patch Set 4 : #

Patch Set 5 : #

Total comments: 1

Patch Set 6 : #

Patch Set 7 : Fix test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+228 lines, -64 lines) Patch
M LayoutTests/http/tests/inspector/elements-test.js View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/animation/animation-timeline.html View 1 2 3 4 5 6 7 chunks +16 lines, -7 lines 0 comments Download
M Source/devtools/devtools.gypi View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
A Source/devtools/front_end/animation/AnimationGroupPreviewUI.js View 1 2 4 1 chunk +53 lines, -0 lines 0 comments Download
M Source/devtools/front_end/animation/AnimationModel.js View 1 2 3 3 chunks +10 lines, -4 lines 0 comments Download
M Source/devtools/front_end/animation/AnimationTimeline.js View 1 2 3 4 5 6 16 chunks +109 lines, -46 lines 0 comments Download
M Source/devtools/front_end/animation/animationTimeline.css View 1 2 3 4 5 7 chunks +37 lines, -6 lines 0 comments Download
M Source/devtools/front_end/animation/module.json View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 23 (5 generated)
samli
PTAL. Screenshot: http://imgur.com/Y8cBUBR
4 years, 5 months ago (2015-07-07 08:09:41 UTC) #2
pfeldman
Does this refer to the new timeline or an old timeline? Do you have a ...
4 years, 5 months ago (2015-07-07 08:28:58 UTC) #3
samli
New timeline. The (product) design doc is pretty much the one I presented. At the ...
4 years, 5 months ago (2015-07-07 08:50:06 UTC) #4
pfeldman
On 2015/07/07 08:50:06, samli wrote: > New timeline. The (product) design doc is pretty much ...
4 years, 5 months ago (2015-07-07 11:29:29 UTC) #5
samli
On 2015/07/07 at 11:29:29, pfeldman wrote: > On 2015/07/07 08:50:06, samli wrote: > > New ...
4 years, 5 months ago (2015-07-08 04:43:08 UTC) #6
pfeldman
> go/animation-timeline > I've already removed the parts that need to be removed. I don't ...
4 years, 5 months ago (2015-07-08 15:30:28 UTC) #7
samli
On 2015/07/08 at 15:30:28, pfeldman wrote: > > go/animation-timeline > > I've already removed the ...
4 years, 5 months ago (2015-07-09 02:02:11 UTC) #8
samli
PTAL
4 years, 3 months ago (2015-09-09 23:41:50 UTC) #9
pfeldman
On 2015/09/09 23:41:50, samli wrote: > PTAL Is this still relevant?
4 years, 3 months ago (2015-09-16 00:01:22 UTC) #10
samli
On 2015/09/16 at 00:01:22, pfeldman wrote: > On 2015/09/09 23:41:50, samli wrote: > > PTAL ...
4 years, 3 months ago (2015-09-16 00:19:55 UTC) #11
pfeldman
https://codereview.chromium.org/1218433007/diff/80001/Source/devtools/front_end/animation/AnimationUI.js File Source/devtools/front_end/animation/AnimationUI.js (right): https://codereview.chromium.org/1218433007/diff/80001/Source/devtools/front_end/animation/AnimationUI.js#newcode1 Source/devtools/front_end/animation/AnimationUI.js:1: // Copyright (c) 2015 The Chromium Authors. All rights ...
4 years, 2 months ago (2015-09-19 00:17:40 UTC) #12
samli
4 years, 2 months ago (2015-09-21 18:56:07 UTC) #13
samli
ping
4 years, 2 months ago (2015-09-22 22:15:08 UTC) #14
pfeldman
lgtm
4 years, 2 months ago (2015-09-22 23:22:03 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1218433007/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1218433007/100001
4 years, 2 months ago (2015-09-22 23:24:52 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/117015)
4 years, 2 months ago (2015-09-23 00:16:43 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1218433007/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1218433007/120001
4 years, 2 months ago (2015-09-23 01:46:30 UTC) #22
commit-bot: I haz the power
4 years, 2 months ago (2015-09-23 05:55:19 UTC) #23
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=202665

Powered by Google App Engine
This is Rietveld 408576698